osgDB::DatabaseRevision Class Reference

`#include <DatabaseRevisions>`

Inheritance diagram for osgDB::DatabaseRevision:

## Public Types

typedef std::set< std::string > | FileNames
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| DatabaseRevision ()
| DatabaseRevision (const DatabaseRevision &revision, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, DatabaseRevision) void setDatabasePath(const std
const std::string & | getDatabasePath () const
void | setFilesAdded (FileList *fileList)
FileList * | getFilesAdded ()
const FileList * | getFilesAdded () const
void | setFilesRemoved (FileList *fileList)
FileList * | getFilesRemoved ()
const FileList * | getFilesRemoved () const
void | setFilesModified (FileList *fileList)
FileList * | getFilesModified ()
const FileList * | getFilesModified () const
bool | isFileBlackListed (const std::string &filename) const
bool | removeFile (const std::string &filename)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~DatabaseRevision ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _databasePath
osg::ref_ptr< FileList > | _filesAdded
osg::ref_ptr< FileList > | _filesRemoved
osg::ref_ptr< FileList > | _filesModified
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## FileNames

typedef std::set<std::string> osgDB::DatabaseRevision::FileNames

## Constructor & Destructor Documentation

## DatabaseRevision() [1/2]

osgDB::DatabaseRevision::DatabaseRevision | ( |  | ) |

Referenced by DatabaseRevision(), and META_Object().

## DatabaseRevision() [2/2]

osgDB::DatabaseRevision::DatabaseRevision | ( | const DatabaseRevision & | revision,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References DatabaseRevision(), and osg::CopyOp::SHALLOW_COPY.

## ~DatabaseRevision()

virtual osgDB::DatabaseRevision::~DatabaseRevision | ( |  | ) |

protected virtual

## Member Function Documentation

## getDatabasePath()

const std::string & osgDB::DatabaseRevision::getDatabasePath | ( |  | ) | const

inline

References _databasePath.

## getFilesAdded() [1/2]

FileList * osgDB::DatabaseRevision::getFilesAdded | ( |  | ) |

inline

References _filesAdded.

## getFilesAdded() [2/2]

const FileList * osgDB::DatabaseRevision::getFilesAdded | ( |  | ) | const

inline

References _filesAdded.

## getFilesModified() [1/2]

FileList * osgDB::DatabaseRevision::getFilesModified | ( |  | ) |

inline

References _filesModified.

## getFilesModified() [2/2]

const FileList * osgDB::DatabaseRevision::getFilesModified | ( |  | ) | const

inline

References _filesModified.

## getFilesRemoved() [1/2]

FileList * osgDB::DatabaseRevision::getFilesRemoved | ( |  | ) |

inline

References _filesRemoved.

## getFilesRemoved() [2/2]

const FileList * osgDB::DatabaseRevision::getFilesRemoved | ( |  | ) | const

inline

References _filesRemoved.

## isFileBlackListed()

bool osgDB::DatabaseRevision::isFileBlackListed | ( | const std::string & | filename | ) | const

## META_Object()

osgDB::DatabaseRevision::META_Object | ( | osgDB | ,
|  | DatabaseRevision | ) const

inline

References _databasePath, and DatabaseRevision().

## removeFile()

bool osgDB::DatabaseRevision::removeFile | ( | const std::string & | filename | ) |

## setFilesAdded()

void osgDB::DatabaseRevision::setFilesAdded | ( | FileList * | fileList | ) |

inline

References _filesAdded.

## setFilesModified()

void osgDB::DatabaseRevision::setFilesModified | ( | FileList * | fileList | ) |

inline

References _filesModified.

## setFilesRemoved()

void osgDB::DatabaseRevision::setFilesRemoved | ( | FileList * | fileList | ) |

inline

References _filesRemoved.

## Member Data Documentation

## _databasePath

std::string osgDB::DatabaseRevision::_databasePath

protected

Referenced by getDatabasePath(), and META_Object().

## _filesAdded

osg::ref_ptr<FileList> osgDB::DatabaseRevision::_filesAdded

protected

Referenced by getFilesAdded(), getFilesAdded(), and setFilesAdded().

## _filesModified

osg::ref_ptr<FileList> osgDB::DatabaseRevision::_filesModified

protected

Referenced by getFilesModified(), getFilesModified(), and setFilesModified().

## _filesRemoved

osg::ref_ptr<FileList> osgDB::DatabaseRevision::_filesRemoved

protected

Referenced by getFilesRemoved(), getFilesRemoved(), and setFilesRemoved().

The documentation for this class was generated from the following file:

- DatabaseRevisions